<?php include('casa/setup.casa.php');
	$codigo = DataForms::POST('codigo');	
	$cmbUbicaciones = DataForms::POST('cmbUbicaciones');
	$txtItem = DataForms::POST('txtItem');
	$txtProducto = DataForms::POST('txtProducto');
	$txtPiezasCaja = DataForms::POST('txtPiezasCaja');
	$txtCantidadCaja = DataForms::POST('txtCantidadCaja');
	$txtPrecioUnitario = DataForms::POST('txtPrecioUnitario');
	$txtPrecioDocena = DataForms::POST('txtPrecioDocena');
	$txtPrecioCajaDocena = DataForms::POST('txtPrecioCajaDocena');
	$txtObservaciones = DataForms::POST('txtObservaciones');

	if(trim($cmbUbicaciones)==''){	
		echo '<script>$("#cmbUbicaciones").focus();</script>';
		exit();
	} 
	if(trim($txtItem)==''){	
		echo '<script>$("#txtItem").focus();</script>';
		exit();
	} 
	if(trim($txtProducto)==''){	
		echo '<script>$("#txtProducto").focus();</script>';
		exit();
	} 
	if(trim($txtPiezasCaja)==''){	
		echo '<script>$("#txtPiezasCaja").focus();</script>';
		exit();
	} 
	if(trim($txtCantidadCaja)==''){	
		echo '<script>$("#txtCantidadCaja").focus();</script>';
		exit();
	} 
	if(trim($txtPrecioUnitario)==''){	
		echo '<script>$("#txtPrecioUnitario").focus();</script>';
		exit();
	} 
	if(trim($txtPrecioDocena)==''){	
		echo '<script>$("#txtPrecioDocena").focus();</script>';
		exit();
	} 
	if(trim($txtPrecioCajaDocena)==''){	
		echo '<script>$("#txtPrecioCajaDocena").focus();</script>';
		exit();
	} 
	
//calculos cantidad de cajas y unidades
$prod_unidadesreal = $txtCantidadCaja*$txtPiezasCaja;

$sql = Caresp("UPDATE inventarios_productos SET 
	ubica_codigo = '$cmbUbicaciones',
	prod_item = '$txtItem',
	prod_nombre = '$txtProducto',
	prod_piezascaja = '$txtPiezasCaja',
	prod_cantidadcajas = '$txtCantidadCaja',
	prod_unidadesreal = '$prod_unidadesreal',	
	prod_preciounitario = '$txtPrecioUnitario',
	prod_preciodocena = '$txtPrecioDocena',
	prod_preciocajadocena = '$txtPrecioCajaDocena',
	prod_observaciones = '$txtObservaciones'
WHERE prod_codigo = '$codigo';");

$db = new DB();
$db->dbSQL($sql);
echo '<script>self.location="'.PATH_HOME.'productos/";</script>';
?>